### Class

# WebKit Notification

since: 2.8

#### Description [src]

    final class WebKit.Notification : GObject.Object
    {
      /* No available fields */
    }

Holds information about a notification that should be shown to the user.

Available since: 2.8

#### Ancestors

- GObject

#### Instance methods

###### webkit_notification_clicked

Tells WebKit the notification has been clicked.

since: 2.12

###### webkit_notification_close

Closes the notification.

since: 2.8

###### webkit_notification_get_body

Obtains the body for the notification.

since: 2.8

###### webkit_notification_get_id

Obtains the unique id for the notification.

since: 2.8

###### webkit_notification_get_tag

Obtains the tag identifier for the notification.

since: 2.16

###### webkit_notification_get_title

Obtains the title for the notification.

since: 2.8

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### WebKit.Notification:body

The body for the notification.

since: 2.8

###### WebKit.Notification:id

The unique id for the notification.

since: 2.8

###### WebKit.Notification:tag

The tag identifier for the notification.

since: 2.16

###### WebKit.Notification:title

The title for the notification.

since: 2.8

#### Signals

###### WebKit.Notification::clicked

Emitted when a notification has been clicked. See webkit_notification_clicked().

since: 2.12

###### WebKit.Notification::closed

Emitted when a notification has been withdrawn.

since: 2.8

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct WebKitNotificationClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.